Subject: FVWM: modified SloppyFocus

From: Adam Tla/lka <[email-masked]>
Date: Wed, 15 Mar 2000 15:07:20 +0100

Hello,

I need Sloppy/MouseFocus but working only while I move the window pointer.
In other cases I need behaviour like ClikToFocus:

1. newly mapped window gets focus;
2. after destroying window focus goes to previous on the list nevermind where
the mouse pointer is (on the same desk and page)
3. while moving window as a frame window list order not changes

Is this possible to get this kind of behaviour?
Regards

-- 
 . .  Adam Tla/lka      mailto:[email-masked]    ^v^ ^v^ ^v^
  )   System  & Network Administration Group           ~~~~~~
  -  Computer Center,  Technical University of Gdansk, Poland
     PGP public key:   finger [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Dominik Vogt <[email-masked]>
Date: Thu, 16 Mar 2000 07:28:34 +0100

> 1. newly mapped window gets focus;

You can have this with the 'GrabFocus' style option in
the current beta versions.

> the mouse pointer is (on the same desk and page)

That would be very hard to implement.  With SloppyFocus fvwm has
to update the focus window whenever it receives a EnterWindow event.
If you destroy a window and switch focus to the last window, fvwm
will receive an EnterWindow event for the window below the cursor
immediately after the focus is switched.  Now, how can you
distinguish between a EnterWindow that was caused by mouse motion
and one caused by the previous window with the pointer being
unmapped?

> 3. while moving window as a frame window list order not changes

What is this good for?

Bye

Dominik ^_^

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
The adjuration to be "normal" seems shockingly repellent to me; I see neither
hope nor comfort in sinking to that low level.  I think it is ignorance that
makes people think of abnormality only with horror and allows them to remain
undismayed at the proximity of "normal" to average and mediocre.  For surely
anyone who achieves anything is, essentially, abnormal.
                -- Dr. Karl Menninger, "The Human Mind", 1930

---

From: Adam Tla/lka <[email-masked]>
Date: Thu, 16 Mar 2000 08:56:06 +0100

> the current beta versions.
I will try.

> and one caused by the previous window with the pointer being
But fvwm knows that a window is destroyed so maybe there should be an option
to warp pointer to the window which was the previous on the list.
Just ignore EnterWindow event and switch focus to proper window.
We could set a flag meaning that there was a window closing operation.

> > 3. while moving window as a frame window list order not changes

If you set OpaqueMoveSize below 100 and  click on the window title then
move the frame and mouse moves above other window that window is set as
top on the list. So list order is changeing which disturbs functionality
of switching to last active window function (bind to Alt+ESC ESC).
On the contrary while OpaqueMoveSize is 100 there is no problem because 
the mouse pointer is always above the current ative window.
So maybe there is a problem with EnterWindow event too.
Setting inner flag that fvwm is doing something with the active window
and EnterWindow events will be ignored till the end of operation
should solve the problem.

Nice feature wolud be if functions called by FvwmEvent module could have
windowid of window for  which this event appeared addeed as an argument
to them. It is not always Current window so in this case you can't get to
this window to execute any operation on it.

Regards

---

From: Tim Phipps <[email-masked]>
Date: Thu, 16 Mar 2000 10:34:51 +0000

Adam Tla/lka wrote:
> top on the list.

This doesn't happen to me, no focus changes happen when moving the
rubberband around.

> this window to execute any operation on it.

*FvwmEventPassID does exactly this.

Cheers,
Tim.

---

From: Adam Tla/lka <[email-masked]>
Date: Thu, 16 Mar 2000 14:40:25 +0100

> This doesn't happen to me, no focus changes happen when moving the
May be I should add that this appears while I have SloppyFocus/MouseFocus.

> *FvwmEventPassID does exactly this.
In 2.3 betas - but I'am using 2.2.4 so forget about that.

Conclusion - must use new version because old 2.2.4 just can't do that.

Regards